# $Revision: 1.10 $, $Date: 2007-11-12 10:20:30 $
Summary:	Midi file player Plug-In for XMMS
Summary(pl.UTF-8):	Wtyczka wejściowa dla XMMS-a odtwarzająca pliki midi
Name:		xmms-input-midi
Version:	0.03
Release:	5
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://ban.joh.cam.ac.uk/~cr212/xmms-midi/xmms-midi-%{version}.tar.gz
# Source0-md5:	a35c62378fc3ccdf420fe81636e5b2f8
URL:		http://ban.joh.cam.ac.uk/~cr212/xmms-midi/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	TiMidity++-instruments
# TiMidity++ for /etc/timidity.cfg
Requires:	TiMidity++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Midi file player Plug-In for XMMS.

%description -l pl.UTF-8
Wtyczka wejściowa dla XMMS-a odtwarzająca pliki midi.

%prep
%setup -q -n xmms-midi-%{version}

sed -e "s@AC_INIT.*@AC_INIT(xmms-midi, %{version})\nAM_INIT_AUTOMAKE@" \
	configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static

%{__make} \
	libmid_la_LDFLAGS="-avoid-version"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	xmmsinputdir=%{xmms_input_plugindir}

# useless
rm -f $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{xmms_input_plugindir}/*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-midi.spec,v $
Revision 1.10  2007-11-12 10:20:30  gotar
- package libmid.so.0.0.0 (libmid.so.0 points to this file)

Revision 1.9  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.7  2005/12/05 21:08:57  glen
- need /etc/timidity.cfg to play properly; rel 4

Revision 1.6  2004/10/30 10:55:52  paladine
- unification, capitalization, better desc

Revision 1.5  2004/04/14 12:21:31  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.4  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.3  2003/07/15 09:33:57  qboosh
- rebuild ac/am - config.* were too ancient

Revision 1.2  2003/07/15 08:40:20  qboosh
- use configure macro, added -avoid-version to install .so with proper soname

Revision 1.1  2003/07/14 15:39:20  wolf
- initial
